查询子表

... 2022-7-18 大约 1 分钟

# 查询子表

# 接口说明

本接口用于查询一篇在线表格中全部工作表信息。

# 权限说明

本接口需要拥有以下任意一项权限:

  • scope.sheet
  • scope.sheet.readonly

# 请求格式

描述 定义
Path /openapi/sheetbook/v2/{bookID}/sheets-info
Method GET
Accept application/json

# 请求头部

详见Headers

# 请求参数

# 路径参数

参数名 类型 必选 描述
bookID string 文档唯一标识,详见BookID

# 查询参数

# 请求体

# 响应参数

# 请求体

参数名 类型 描述
ret integer 业务返回码
msg string 业务返回码描述
data JSON Object(GetSheetReponse) 查询子表响应

# 请求包体

GET /openapi/sheetbook/v2/300000000$AAAAAAAAAAAA/sheets-info HTTP/1.1
Host: docs.qq.com
Access-Token: ACCESS_TOKEN
Client-Id: CLIENT_ID
Open-Id: OPEN_ID
1
2
3
4
5
1
2
3
4
5

# 示例

curl --location --request GET 'https://docs.qq.com/openapi/sheetbook/v2/300000000$AAAAAAAAA/sheets-info' \
--header 'Access-Token: ACCESS_TOKEN' \
--header 'Client-Id: CLIENT_ID' \
--header 'Open-Id: OPEN_ID'
1
2
3
4
1
2
3
4

# 响应包体

HTTP/1.1 200 OK
Date: Thu, 28 Jul 2022 15:34:46 GMT
Content-Type: text/plain; charset=utf-8
Content-Length: 2
Connection: keep-alive
 
{"ret":0,"msg":"Succeed","data":{"getSheet":[{"isVibile":true,"sheetID":"7oqnw2","title":"工作表 1","rowCount":3,"columnCount":2},{"isVibile":true,"sheetID":"5oeb48","title":"工作表 2","rowCount":12,"columnCount":2}]}}
1
2
3
4
5
6
7
1
2
3
4
5
6
7
上次编辑于: 2023年6月1日 17:40
贡献者: mylochen , muyanyang , livlin , weixinqiu